summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Axel Bergerhoff2021-04-02 05:33:43 +0200
committer Willy Sudiarto Raharjo2021-04-02 05:33:43 +0200
commitf222bebe1cda59644a6f28edcf998282e38f7039 (patch)
treef38ca40aa56a1c0d1b63f289ebe1b55f409a40ca
parent57b82f3cce8a15ad8692a75dfdcc5296adc79113 (diff)
downloadslackbuilds-f222bebe1cda59644a6f28edcf998282e38f7039.tar.gz
development/hexnet: Added (network terminal).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/hexnet/README8
-rw-r--r--development/hexnet/hexnet.SlackBuild88
-rw-r--r--development/hexnet/hexnet.info10
-rw-r--r--development/hexnet/slack-desc19
4 files changed, 125 insertions, 0 deletions
diff --git a/development/hexnet/README b/development/hexnet/README
new file mode 100644
index 0000000000..71f4c2d4b7
--- /dev/null
+++ b/development/hexnet/README
@@ -0,0 +1,8 @@
+hexnet is minimalistic network terminal for testing of binary communi-
+cations. It accepts multiple pairs of characters interpreting each
+pair as a hexadecimal number. Pairs may optionally be delimited by any
+character, e.g. "2a:45" or "44 4c". Lower and upper case letters are
+both accepted.
+
+Data is send to a host specified by IP address and port, received data
+can be displayed in different formats.
diff --git a/development/hexnet/hexnet.SlackBuild b/development/hexnet/hexnet.SlackBuild
new file mode 100644
index 0000000000..d7401f7fb5
--- /dev/null
+++ b/development/hexnet/hexnet.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for hexnet
+
+# Copyright (c) 2021, Axel Bergerhoff <the.druid@arcor.de>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=hexnet
+VERSION=${VERSION:-1.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM'-'$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin
+gcc $SLCKFLAGS -c cmdline.c hexnet.c hexnetfunctions.c
+gcc $SLCKFLAGS -o $PKG/usr/bin/hexnet cmdline.o hexnet.o hexnetfunctions.o
+
+gzip hexnet.1
+mkdir -p $PKG/usr/man/man1
+cp -a hexnet.1.gz $PKG/usr/man/man1/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/hexnet/hexnet.info b/development/hexnet/hexnet.info
new file mode 100644
index 0000000000..22f85cbffb
--- /dev/null
+++ b/development/hexnet/hexnet.info
@@ -0,0 +1,10 @@
+PRGNAM="hexnet"
+VERSION="1.0.0"
+HOMEPAGE="http://abergerhoff.de/hexnet"
+DOWNLOAD="http://abergerhoff.de/hexnet/hexnet-1.0.0.tar.gz"
+MD5SUM="244781552ad5fd9867fa40a5bb1beabe"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Axel Bergerhoff"
+EMAIL="the.druid@arcor.de"
diff --git a/development/hexnet/slack-desc b/development/hexnet/slack-desc
new file mode 100644
index 0000000000..b6af701eb9
--- /dev/null
+++ b/development/hexnet/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+hexnet: hexnet (network terminal)
+hexnet:
+hexnet: Hexnet hexnet is minimalistic network terminal for testing of binary
+hexnet: network IP based communications.
+hexnet: It accepts multiple pairs of characters interpreting each pair as a
+hexnet: hexadecimal number.
+hexnet: Pairs may optionally be delimited by any character.
+hexnet: Data is send to a host specified by IP address and port, received
+hexnet: data can be displayed in different formats.
+hexnet:
+hexnet: Home page: http://abergerhoff.de/hexnet/